package com.bocloud.tse.core.domain;

import lombok.Data;

/**
 * Worker执行的脚本内容封装类
 */
@Data
public class WorkerScript {

    /**
     * 脚本类型
     */
    private String type;
    /**
     * 脚本参数
     */
    private String params;
    /**
     * 脚本内容
     */
    private String content;
    /**
     * 执行脚本时候的可选参数
     */
    private Option options;
    /**
     * 脚本执行是否为异步
     */
    private Boolean async;
    /**
     * 脚本执行异步执行超时时间
     */
    private Long asyncTimeout;

    public WorkerScript(String type, String params, String content, Option options, Boolean async, Long asyncTimeout) {
        super();
        this.type = type;
        this.params = params;
        this.content = content;
        this.options = options;
        this.async = async;
        this.asyncTimeout = asyncTimeout;
    }

    @Override
    public String toString() {
        return "WorkerScript [type=" + type + ", params=" + params + ", content=" + content + ", options=" + options
            + "]";
    }

}
