package com.bocloud.tse.core.domain.args.software;

import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Map.Entry;

import com.alibaba.fastjson.annotation.JSONField;

import lombok.Data;

@Data
public class ApacheArg {

    @JSONField(name = "software_config")
    private Map<String, Object> softwareConfig;
    @JSONField(name = "apache_vhosts")
    private List<Map<String, Object>> apacheVhosts;

    public ApacheArg(Map<String, Object> softwareConfig, List<Map<String, Object>> apacheVhosts) {
        this.softwareConfig = softwareConfig;
        if (null != apacheVhosts && !apacheVhosts.isEmpty()) {
            this.apacheVhosts = apacheVhosts;
            for (Map<String, Object> vhost : this.apacheVhosts) {
                Iterator<Entry<String, Object>> iterator = vhost.entrySet().iterator();
                while (iterator.hasNext()) {
                    Entry<String, Object> entry = iterator.next();
                    if (null == vhost.get(entry.getKey()) || "".equals(vhost.get(entry.getKey()))) {
                        iterator.remove();
                    }
                }
            }
        }
    }

    public ApacheArg() {}

    public void setApacheVhosts(List<Map<String, Object>> apacheVhosts) {
        if (null != apacheVhosts && !apacheVhosts.isEmpty()) {
            this.apacheVhosts = apacheVhosts;
        }
    }

}