package com.bocloud.tse.core.domain.args.software;

import java.util.Map;

import com.alibaba.fastjson.annotation.JSONField;

import lombok.Data;

@Data
public class K8sArg {

    private String version;
    @JSONField(name = "cluster_install")
    private boolean clusterInstall;
    @JSONField(name = "software_config")
    private Map<String, Object> softwareConfig;
    @JSONField(name = "container_config")
    private Map<String, Object> containerConfig;
    @JSONField(name = "k8s_config")
    private Map<String, Object> k8sConfig;
    @JSONField(name = "network_config")
    private Map<String, Object> networkConfig;
    @JSONField(name = "storage_config")
    private Map<String, Object> storageConfig;
    @JSONField(name = "harbor_config")
    private Map<String, Object> harborConfig;

    public K8sArg(String version, boolean clusterInstall, Map<String, Object> softwareConfig,
        Map<String, Object> containerConfig, Map<String, Object> k8sConfig, Map<String, Object> networkConfig,
        Map<String, Object> storageConfig, Map<String, Object> harborConfig) {
        super();
        this.version = version;
        this.clusterInstall = clusterInstall;
        this.softwareConfig = softwareConfig;
        this.containerConfig = containerConfig;
        this.k8sConfig = k8sConfig;
        this.networkConfig = networkConfig;
        this.storageConfig = storageConfig;
        this.harborConfig = harborConfig;
    }

    public K8sArg() {}

    public void setHarborConfig(Map<String, Object> harborConfig) {
        if (null == harborConfig || harborConfig.isEmpty()) {
            return;
        }
        this.harborConfig = harborConfig;
    }

}