package com.bocloud.tse.core.domain.args.software;

import java.util.List;
import java.util.Map;

import com.alibaba.fastjson.annotation.JSONField;
import com.bocloud.tse.core.domain.front.software.KafkaZkFront;

import lombok.Data;

@Data
public class KafkaArg {

    private String version;
    @JSONField(name = "cluster_install")
    private boolean clusterInstall;
    @JSONField(name = "software_config")
    private Map<String, Object> softwareConfig;
    @JSONField(name = "zookeeper")
    private KafkaZkFront zookeeper;
    @JSONField(name = "manage_config")
    private Map<String, Object> manageConfig;
    @JSONField(name = "jmx_exporter_config")
    private Map<String, Object> jmxExporterConfig;
    @JSONField(name = "install_jmx_exporter")
    private boolean installJmxExporter;
    @JSONField(name = "mnt_disks")
    private List<Map<String, Object>> mntDisks;
    @JSONField(name = "install_kafka_exporter")
    private boolean installKafkaExporter;
    @JSONField(name = "auth_config")
    private Map<String, Object> authConfig;
    @JSONField(name = "kafka_server")
    private Map<String, Object> kafkaServer;
    @JSONField(name = "install_telegraf")
    private boolean installTelegraf;

    public KafkaArg(String version, boolean clusterInstall, Map<String, Object> softwareConfig, KafkaZkFront zookeeper,
        Map<String, Object> manageConfig, Map<String, Object> jmxExporterConfig, boolean installJmxExporter,
        List<Map<String, Object>> mntDisks, boolean installKafkaExporter, Map<String, Object> authConfig,
        Map<String, Object> kafkaServer, boolean installTelegraf) {
        this.version = version;
        this.clusterInstall = clusterInstall;
        this.softwareConfig = softwareConfig;
        this.zookeeper = zookeeper;
        this.manageConfig = manageConfig;
        this.jmxExporterConfig = jmxExporterConfig;
        this.installJmxExporter = installJmxExporter;
        this.mntDisks = mntDisks;
        this.installKafkaExporter = installKafkaExporter;
        this.authConfig = authConfig;
        this.kafkaServer = kafkaServer;
        this.installTelegraf = installTelegraf;
    }

    public KafkaArg() {
        super();
    }

    public void setJmxExporterConfig(Map<String, Object> jmxExporterConfig) {
        if (null == jmxExporterConfig || jmxExporterConfig.isEmpty()) {
            return;
        }
        this.jmxExporterConfig = jmxExporterConfig;
    }

    public void setMntDisks(List<Map<String, Object>> mntDisks) {
        if (null == mntDisks || mntDisks.isEmpty()) {
            return;
        }
        this.mntDisks = mntDisks;
    }

    public void setAuthConfig(Map<String, Object> authConfig) {
        if (null == authConfig || authConfig.isEmpty()) {
            return;
        }
        this.authConfig = authConfig;
    }

    public void setKafkaServer(Map<String, Object> kafkaServer) {
        if (null == kafkaServer || kafkaServer.isEmpty()) {
            return;
        }
        this.kafkaServer = kafkaServer;
    }

}