package com.bocloud.tse.core.domain.args.software;

import java.util.List;
import java.util.Map;

import com.alibaba.fastjson.annotation.JSONField;

import lombok.Data;

@Data
public class MysqlArg {

    private String version;
    @JSONField(name = "cluster_install")
    private boolean clusterInstall;
    @JSONField(name = "cluster_type")
    private String clusterType;
    @JSONField(name = "mgr_group_name")
    private String mgrGroupName;
    @JSONField(name = "keepalived_virtual_router_id")
    private Integer keepalivedVirtualRouterId;
    @JSONField(name = "mysql_vip")
    private String mysqlVip;
    @JSONField(name = "mysql_vip_netmask")
    private String mysqlVipNetmask;
    @JSONField(name = "mysql_replication_master")
    private String mysqlReplicationMaster;
    @JSONField(name = "software_config")
    private Map<String, Object> softwareConfig;
    @JSONField(name = "mysql_databases")
    private List<Map<String, Object>> mysqlDatabases;
    @JSONField(name = "mysql_users")
    private List<Map<String, Object>> mysqlUsers;
    @JSONField(name = "mysql_replication_user")
    private Map<String, Object> mysqlReplicationUser;
    @JSONField(name = "mnt_disks")
    private List<Map<String, Object>> mntDisks;
    @JSONField(name = "install_telegraf")
    private boolean installTelegraf;

    public MysqlArg(String version, boolean clusterInstall, String clusterType, String mgrGroupName,
        Integer keepalivedVirtualRouterId, String mysqlVip, String mysqlVipNetmask, String mysqlReplicationMaster,
        Map<String, Object> softwareConfig, List<Map<String, Object>> mysqlDatabases,
        List<Map<String, Object>> mysqlUsers, Map<String, Object> mysqlReplicationUser,
        List<Map<String, Object>> mntDisks, boolean installTelegraf) {
        this.version = version;
        this.clusterInstall = clusterInstall;
        this.clusterType = clusterType;
        this.mgrGroupName = mgrGroupName;
        this.keepalivedVirtualRouterId = keepalivedVirtualRouterId;
        this.mysqlVip = mysqlVip;
        this.mysqlVipNetmask = mysqlVipNetmask;
        this.mysqlReplicationMaster = mysqlReplicationMaster;
        this.softwareConfig = softwareConfig;
        this.mysqlDatabases = mysqlDatabases;
        this.mysqlUsers = mysqlUsers;
        this.mysqlReplicationUser = mysqlReplicationUser;
        this.mntDisks = mntDisks;
        this.installTelegraf = installTelegraf;
    }

    public MysqlArg() {}

    public void setMysqlDatabases(List<Map<String, Object>> mysqlDatabases) {
        if (null == mysqlDatabases || mysqlDatabases.isEmpty()) {
            return;
        }
        this.mysqlDatabases = mysqlDatabases;
    }

    public void setMysqlUsers(List<Map<String, Object>> mysqlUsers) {
        if (null == mysqlUsers || mysqlUsers.isEmpty()) {
            return;
        }
        this.mysqlUsers = mysqlUsers;
    }

    public void setMysqlReplicationUser(Map<String, Object> mysqlReplicationUser) {
        if (null == mysqlReplicationUser || mysqlReplicationUser.isEmpty()) {
            return;
        }
        this.mysqlReplicationUser = mysqlReplicationUser;
    }

    public void setMntDisks(List<Map<String, Object>> mntDisks) {
        if (null == mntDisks || mntDisks.isEmpty()) {
            return;
        }
        this.mntDisks = mntDisks;
    }

}