package com.bocloud.tse.core.domain.args.software;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import com.alibaba.fastjson.annotation.JSONField;
import com.bocloud.tse.core.domain.common.NginxConfig;
import com.bocloud.tse.core.domain.common.NginxHttpParam;
import com.bocloud.tse.core.domain.common.NginxSite;

import lombok.Data;

@Data
public class NginxArg {

    @JSONField(name = "cluster_install")
    private boolean clusterInstall = false;
    //nginx http配置
    @JSONField(name = "nginx_http_params")
    private NginxHttpParam nginxHttpParam;
    //nginx 配置
    @JSONField(name = "nginx_configs")
    private NginxConfig nginxConfig;
    //nginx 站点配置
    @JSONField(name = "nginx_sites")
    private Map<String, NginxSite> nginxSites;
    @JSONField(name = "sites_listen_ports")
    private List<Integer> sitesListenPorts;

    public NginxArg() {}

    public NginxArg(boolean clusterInstall, NginxHttpParam nginxHttpParam, NginxConfig nginxConfig,
        Map<String, NginxSite> nginxSites) {
        this.clusterInstall = clusterInstall;
        this.nginxHttpParam = nginxHttpParam;
        this.nginxConfig = nginxConfig;
        this.nginxSites = nginxSites;
        if (null != this.nginxSites && !nginxSites.isEmpty()) {
            sitesListenPorts = new ArrayList<>();
            for (NginxSite site : nginxSites.values()) {
                sitesListenPorts.add(site.getListen());
            }
        }
    }

    public void setNginxConfig(NginxConfig nginxConfig) {
        if (null != nginxConfig && nginxConfig.empty()) {
            return;
        }
        this.nginxConfig = nginxConfig;
    }

    public void setNginxSites(Map<String, NginxSite> nginxSites) {
        if (null != nginxSites && nginxSites.isEmpty()) {
            return;
        }
        this.nginxSites = nginxSites;
    }

}