package com.bocloud.tse.core.domain.args.software;

import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Map.Entry;

import com.alibaba.fastjson.annotation.JSONField;

import lombok.Data;

@Data
public class OracleArg {
    private String version;
    @JSONField(name = "cluster_install")
    private boolean clusterInstall;
    @JSONField(name = "software_config")
    private Map<String, Object> softwareConfig;
    @JSONField(name = "manage_config")
    private Map<String, Object> manageConfig;
    @JSONField(name = "oracle_databases")
    private List<Map<String, Object>> oracleDatabases;
    @JSONField(name = "asm_diskgroups")
    private Map<String, List<Map<String, Object>>> asmDiskGroups;
    @JSONField(name = "host_fs_layout")
    private List<Map<String, Object>> hostFsLayout;

    public OracleArg(String version, boolean clusterInstall, Map<String, Object> softwareConfig,
        Map<String, Object> manageConfig, List<Map<String, Object>> oracleDatabases,
        Map<String, List<Map<String, Object>>> asmDiskGroups, List<Map<String, Object>> hostFsLayout) {
        this.version = version;
        this.clusterInstall = clusterInstall;
        if (null != softwareConfig && !softwareConfig.isEmpty()) {
            this.softwareConfig = softwareConfig;
        }
        this.manageConfig = manageConfig;
        this.asmDiskGroups = asmDiskGroups;
        this.hostFsLayout = hostFsLayout;
        if (null != oracleDatabases && !oracleDatabases.isEmpty()) {
            this.oracleDatabases = oracleDatabases;
            for (Map<String, Object> database : this.oracleDatabases) {
                Iterator<Entry<String, Object>> iterator = database.entrySet().iterator();
                while (iterator.hasNext()) {
                    Entry<String, Object> entry = iterator.next();
                    if (null == database.get(entry.getKey()) || "".equals(database.get(entry.getKey()).toString())
                        || "[]".equals(database.get(entry.getKey()).toString())) {
                        iterator.remove();
                    }
                }
            }
        }
    }

    public OracleArg() {}

}