package com.bocloud.tse.core.domain.args.software;

import java.util.Arrays;
import java.util.Map;

import com.alibaba.fastjson.annotation.JSONField;

import lombok.Data;

@Data
public class PhpArg {

    @JSONField(name = "software_config")
    private Map<String, Object> softwareConfig;

    public PhpArg() {}

    public PhpArg(Map<String, Object> softwareConfig) {
        super();
        if (softwareConfig.containsKey("php_packages")) {
            String value = softwareConfig.get("php_packages").toString();
            if (value.contains(",")) {
                softwareConfig.put("php_packages", Arrays.asList(value.split(",")));
            }
        }
        this.softwareConfig = softwareConfig;
    }

    public void setSoftwareConfig(Map<String, Object> softwareConfig) {
        if (softwareConfig.containsKey("php_packages")) {
            String value = softwareConfig.get("php_packages").toString();
            if (value.contains(",")) {
                softwareConfig.put("php_packages", Arrays.asList(value.split(",")));
            }
        }
        this.softwareConfig = softwareConfig;
    }

}