package com.bocloud.tse.core.domain.args.software;

import java.util.List;
import java.util.Map;

import com.alibaba.fastjson.annotation.JSONField;

import lombok.Data;

@Data
public class RabbitmqArg {

    private String version;
    @JSONField(name = "cluster_install")
    private boolean clusterInstall;
    @JSONField(name = "rabbitmq_users")
    private List<Map<String, Object>> rabbitmqUsers;
    @JSONField(name = "rabbitmq_vhosts")
    private List<Map<String, Object>> rabbitmqVhosts;
    @JSONField(name = "rabbitmq_plugins")
    private List<Map<String, Object>> rabbitmqPlugins;
    @JSONField(name = "mnt_disks")
    private List<Map<String, Object>> mntDisks;
    @JSONField(name = "install_telegraf")
    private boolean installTelegraf;
    @JSONField(name = "rabbitmq_admin_user")
    private String rabbitmqAdminUser;
    @JSONField(name = "rabbitmq_admin_password")
    private String rabbitmqAdminPassword;

    public RabbitmqArg(String version, boolean clusterInstall, List<Map<String, Object>> rabbitmqUsers,
        List<Map<String, Object>> rabbitmqVhosts, List<Map<String, Object>> rabbitmqPlugins,
        List<Map<String, Object>> mntDisks, boolean installTelegraf, String rabbitmqAdminUser,
        String rabbitmqAdminPassword) {
        this.version = version;
        this.clusterInstall = clusterInstall;
        this.rabbitmqUsers = rabbitmqUsers;
        this.rabbitmqVhosts = rabbitmqVhosts;
        this.rabbitmqPlugins = rabbitmqPlugins;
        this.mntDisks = mntDisks;
        this.installTelegraf = installTelegraf;
        this.rabbitmqAdminUser = rabbitmqAdminUser;
        this.rabbitmqAdminPassword = rabbitmqAdminPassword;
    }

    public RabbitmqArg() {}

    public void setMntDisks(List<Map<String, Object>> mntDisks) {
        if (null == mntDisks || mntDisks.isEmpty()) {
            return;
        }
        this.mntDisks = mntDisks;
    }

}