package com.bocloud.tse.core.domain.args.software;

import java.util.List;
import java.util.Map;

import com.alibaba.fastjson.annotation.JSONField;

import lombok.Data;

@Data
public class RedisArg {

    private String version;
    @JSONField(name = "cluster_install")
    private boolean clusterInstall;
    @JSONField(name = "software_config")
    private Map<String, Object> softwareConfig;
    @JSONField(name = "manage_config")
    private Map<String, Object> manageConfig;
    @JSONField(name = "mnt_disks")
    private List<Map<String, Object>> mntDisks;
    @JSONField(name = "install_telegraf")
    private boolean installTelegraf;
    @JSONField(name = "redis_master_nodes")
    private List<String> redisMasterNodes;
    @JSONField(name = "redis_slave_nodes")
    private List<String> redisSlaveNodes;

    public RedisArg(String version, boolean clusterInstall, Map<String, Object> softwareConfig,
        Map<String, Object> manageConfig, List<Map<String, Object>> mntDisks, boolean installTelegraf,
        List<String> redisMasterNodes, List<String> redisSlaveNodes) {
        this.version = version;
        this.clusterInstall = clusterInstall;
        this.softwareConfig = softwareConfig;
        this.manageConfig = manageConfig;
        this.mntDisks = mntDisks;
        this.installTelegraf = installTelegraf;
        this.redisMasterNodes = redisMasterNodes;
        this.redisSlaveNodes = redisSlaveNodes;
    }

    public RedisArg() {}

    public void setManageConfig(Map<String, Object> manageConfig) {
        if (null == manageConfig || manageConfig.isEmpty()) {
            return;
        }
        this.manageConfig = manageConfig;
    }

    public void setMntDisks(List<Map<String, Object>> mntDisks) {
        if (null == mntDisks || mntDisks.isEmpty()) {
            return;
        }
        this.mntDisks = mntDisks;
    }

}