package com.bocloud.tse.core.domain.args.software;

import java.util.List;
import java.util.Map;

import com.alibaba.fastjson.annotation.JSONField;
import com.bocloud.tse.core.domain.group.Group;
import com.bocloud.tse.core.domain.group.GroupHost;

import lombok.Data;

@Data
public class RocketmqArg {

    private String version;
    @JSONField(name = "cluster_install")
    private boolean clusterInstall;
    @JSONField(name = "software_config")
    private Map<String, Object> softwareConfig;
    @JSONField(name = "cluster_name")
    private String clusterName;
    @JSONField(name = "rocketmq_nameserver_list")
    private String rocketmqNameserverList;
    @JSONField(name = "install_rocketmq_exporter")
    private boolean installRocketmqExporter;

    public RocketmqArg(String version, boolean clusterInstall, Map<String, Object> softwareConfig, String clusterName,
        boolean installRocketmqExporter, List<Group> groups) {
        super();
        this.version = version;
        this.clusterInstall = clusterInstall;
        this.softwareConfig = softwareConfig;
        this.clusterName = clusterName;
        this.installRocketmqExporter = installRocketmqExporter;
        String nameservers = "";
        for (Group group : groups) {
            if (!"rocketmq_namesrv".equals(group.getName())) {
                continue;
            }
            List<GroupHost> hosts = group.getHosts();
            for (GroupHost host : hosts) {
                nameservers += host.getHost() + ":" + softwareConfig.get("rocketmq_nameserver_port") + ";";
            }
        }
        if (nameservers.contains(";")) {
            nameservers = nameservers.substring(0, nameservers.length() - 1);
        }
        this.rocketmqNameserverList = nameservers;
    }

    public RocketmqArg() {}

}