package com.bocloud.tse.core.domain.common;

import java.util.ArrayList;
import java.util.List;

import com.megatron.common.utils.ListTool;

import lombok.Data;

@Data
public class NginxConfig {

    private List<String> proxy;
    private List<String> upstream;
    private List<String> geo;
    private List<String> ssl;
    private List<String> gzip;

    public NginxConfig() {}

    public void setProxy(List<String> proxy) {
        if (ListTool.isEmpty(proxy)) {
            return;
        }
        this.proxy = new ArrayList<>();
        for (String data : proxy) {
            this.proxy.add(data.replace("\n", " "));
        }
    }

    public void setUpstream(List<String> upstream) {
        if (ListTool.isEmpty(upstream)) {
            return;
        }
        this.upstream = new ArrayList<>();
        for (String data : upstream) {
            this.upstream.add(data.replace("\n", " "));
        }
    }

    public void setGeo(List<String> geo) {
        if (ListTool.isEmpty(geo)) {
            return;
        }
        this.geo = new ArrayList<>();
        for (String data : geo) {
            this.geo.add(data.replace("\n", " "));
        }
    }

    public void setSsl(List<String> ssl) {
        if (ListTool.isEmpty(ssl)) {
            return;
        }
        this.ssl = new ArrayList<>();
        for (String data : ssl) {
            this.ssl.add(data.replace("\n", " "));
        }
    }

    public void setGzip(List<String> gzip) {
        if (ListTool.isEmpty(gzip)) {
            return;
        }
        this.gzip = new ArrayList<>();
        for (String data : gzip) {
            this.gzip.add(data.replace("\n", " "));
        }
    }

    public boolean empty() {
        return null == proxy && null == upstream && null == geo && null == ssl && null == gzip;
    }

}