package com.bocloud.tse.core.domain.common;

import java.util.ArrayList;
import java.util.List;

import com.alibaba.fastjson.annotation.JSONField;
import com.megatron.common.utils.ListTool;

import lombok.Data;

@Data
public class NginxHttpParam {

    private String sendfile;
    @JSONField(name = "tcp_nopush")
    private String tcpNopush;
    @JSONField(name = "tcp_nodelay")
    private String tcpNodelay;
    @JSONField(name = "server_tokens")
    private String serverTokens;
    @JSONField(name = "access_log")
    private String accessLog;
    @JSONField(name = "error_log")
    private String errorLog;
    private List<String> options;

    public NginxHttpParam() {}

    public void setOptions(List<String> options) {
        if (ListTool.isEmpty(options)) {
            return;
        }
        this.options = new ArrayList<>();
        for (String data : options) {
            this.options.add(data.replace("\n", " "));
        }
    }

}