package com.bocloud.tse.core.domain.common;

import org.springframework.util.StringUtils;

import com.alibaba.fastjson.annotation.JSONField;

import lombok.Data;

@Data
public class TomcatInstance {

    private String name;
    private String user;
    private String home;
    private String path;
    private String group;
    @JSONField(name = "port_ajp")
    private Integer portAjp;
    @JSONField(name = "port_redirect")
    private Integer portRedirect;
    @JSONField(name = "port_connector")
    private Integer portConnector;
    @JSONField(name = "port_shutdown")
    private Integer portShutdown;
    @JSONField(name = "catalina_opts")
    private String catalinaOpts;
    @JSONField(name = "service_name")
    private String serviceName;
    @JSONField(name = "service_file")
    private String serviceFile;
    @JSONField(name = "override_uri_encoding")
    private String overrideUriEncoding;

    public void setUser(String user) {
        if (StringUtils.hasText(user)) {
            this.user = user;
        }
    }

    public void setHome(String home) {
        if (StringUtils.hasText(home)) {
            this.home = home;
        }
    }

    public void setPath(String path) {
        if (StringUtils.hasText(path)) {
            this.path = path;
        }
    }

    public void setGroup(String group) {
        if (StringUtils.hasText(group)) {
            this.group = group;
        }
    }

    public void setPortAjp(Integer portAjp) {
        if (null != portAjp && portAjp > 0) {
            this.portAjp = portAjp;
        }
    }

    public void setPortRedirect(Integer portRedirect) {
        if (null != portRedirect && portRedirect > 0) {
            this.portRedirect = portRedirect;
        }
    }

    public void setPortConnector(Integer portConnector) {
        if (null != portConnector && portConnector > 0) {
            this.portConnector = portConnector;
        }
    }

    public void setPortShutdown(Integer portShutdown) {
        if (null != portShutdown && portShutdown > 0) {
            this.portShutdown = portShutdown;
        }
    }

    public void setCatalinaOpts(String catalinaOpts) {
        if (StringUtils.hasText(catalinaOpts)) {
            this.catalinaOpts = catalinaOpts;
        }
    }

    public void setServiceName(String serviceName) {
        if (StringUtils.hasText(serviceName)) {
            this.serviceName = serviceName;
        }
    }

    public void setServiceFile(String serviceFile) {
        if (StringUtils.hasText(serviceFile)) {
            this.serviceFile = serviceFile;
        }
    }

    public void setOverrideUriEncoding(String overrideUriEncoding) {
        if (StringUtils.hasText(overrideUriEncoding)) {
            this.overrideUriEncoding = overrideUriEncoding;
        }
    }

}