package com.bocloud.tse.core.domain.front.maintain;

import java.util.List;

import org.apache.commons.lang3.StringUtils;

import com.bocloud.tse.core.utils.DBDriver;
import com.megatron.common.model.GeneralResult;

import lombok.Data;

@Data
public class DBFront {

    private String category;
    private String driver;
    private String database;
    private Long scriptId;
    private List<Long> groupId;
    private String jdbcUrl;
    private String username;
    private String password;
    private String content;

    public DBFront(String category, String driver, Long scriptId, List<Long> groupId, String jdbcUrl, String username,
        String password, String content, String database) {
        this.category = category;
        this.driver = driver;
        this.scriptId = scriptId;
        this.groupId = groupId;
        this.jdbcUrl = jdbcUrl;
        this.username = username;
        this.password = password;
        this.content = content;
        this.database = database;
    }

    public DBFront() {}

    public DBDriver getDBDriver() throws Exception {
        if (StringUtils.isEmpty(database)) {
            throw new Exception("database driver is null!");
        }
        GeneralResult<DBDriver> hasResult = DBDriver.has(database);
        if (hasResult.isFailed()) {
            throw new Exception("no specific driver found!");
        } else {
            return hasResult.getData();
        }
    }

}