package com.bocloud.tse.core.domain.front.software;

import java.util.Map;

import com.alibaba.fastjson.annotation.JSONField;

import lombok.Data;

@Data
public class EtcdFront {

    private String version;
    @JSONField(name = "cluster_install")
    private boolean clusterInstall;
    @JSONField(name = "etcd_secure")
    private boolean etcdSecure;
    @JSONField(name = "software_config")
    private Map<String, Object> softwareConfig;
    @JSONField(name = "etcd_initial_cluster_token")
    private String etcdInitialClusterToken;

    public EtcdFront() {}

    public EtcdFront(Map<String, Object> softwareConfig) {
        this.softwareConfig = softwareConfig;
    }

    public EtcdFront(boolean clusterInstall, boolean etcdSecure, Map<String, Object> softwareConfig,
        String etcdInitialClusterToken) {
        this.clusterInstall = clusterInstall;
        this.etcdSecure = etcdSecure;
        this.softwareConfig = softwareConfig;
        this.etcdInitialClusterToken = etcdInitialClusterToken;
    }

}