package com.bocloud.tse.core.domain.front.software;

import java.util.List;
import java.util.Map;

import com.alibaba.fastjson.annotation.JSONField;
import com.bocloud.tse.core.domain.group.Group;

import lombok.Data;

@Data
public class MongodbFront {

    private String version;
    private List<Group> groups;
    @JSONField(name = "cluster_install")
    private boolean clusterInstall;
    @JSONField(name = "software_config")
    private Map<String, Object> softwareConfig;
    @JSONField(name = "manage_config")
    private Map<String, Object> manageConfig;
    @JSONField(name = "mongodb_users")
    private List<Map<String, Object>> mongodbUsers;
    @JSONField(name = "mnt_disks")
    private List<Map<String, Object>> mntDisks;
    @JSONField(name = "install_telegraf")
    private boolean installTelegraf;

    public MongodbFront(String version, List<Group> groups, boolean clusterInstall, Map<String, Object> softwareConfig,
        Map<String, Object> manageConfig, List<Map<String, Object>> mongodbUsers, List<Map<String, Object>> mntDisks,
        boolean installTelegraf) {
        this.version = version;
        this.groups = groups;
        this.clusterInstall = clusterInstall;
        this.softwareConfig = softwareConfig;
        this.manageConfig = manageConfig;
        this.mongodbUsers = mongodbUsers;
        this.mntDisks = mntDisks;
        this.installTelegraf = installTelegraf;
    }

    public MongodbFront() {}

    public void setManageConfig(Map<String, Object> manageConfig) {
        if (null == manageConfig || manageConfig.isEmpty()) {
            return;
        }
        this.manageConfig = manageConfig;
    }

    public void setMongodbUsers(List<Map<String, Object>> mongodbUsers) {
        if (null == mongodbUsers || mongodbUsers.isEmpty()) {
            return;
        }
        this.mongodbUsers = mongodbUsers;
    }

    public void setMntDisks(List<Map<String, Object>> mntDisks) {
        if (null == mntDisks || mntDisks.isEmpty()) {
            return;
        }
        this.mntDisks = mntDisks;
    }

}