package com.bocloud.tse.core.domain.front.software;

import java.util.List;
import java.util.Map;

import com.alibaba.fastjson.annotation.JSONField;
import com.bocloud.tse.core.domain.group.Group;

import lombok.Data;

@Data
public class MysqlFront {

    private String version;
    @JSONField(name = "cluster_install")
    private boolean clusterInstall;
    @JSONField(name = "cluster_vip")
    private String clusterVip;
    @JSONField(name = "mysql_vip_netmask")
    private String mysqlVipNetmask;
    @JSONField(name = "mysql_replication_master")
    private String mysqlReplicationMaster;
    @JSONField(name = "software_config")
    private Map<String, Object> softwareConfig;
    @JSONField(name = "mysql_databases")
    private List<Map<String, Object>> mysqlDatabases;
    @JSONField(name = "mysql_users")
    private List<Map<String, Object>> mysqlUsers;
    @JSONField(name = "mysql_replication_user")
    private Map<String, Object> mysqlReplicationUser;
    @JSONField(name = "mnt_disks")
    private List<Map<String, Object>> mntDisks;
    @JSONField(name = "install_telegraf")
    private boolean installTelegraf;
    private List<Group> groups;
    /**
     * mha,mgr,msv主从,msb主备
     */
    @JSONField(name = "cluster_type")
    private String clusterType;
    @JSONField(name = "keepalived_virtual_router_id")
    private Integer keepalivedVirtualRouterId;

    public MysqlFront() {}

    public void setMysqlDatabases(List<Map<String, Object>> mysqlDatabases) {
        if (null == mysqlDatabases || mysqlDatabases.isEmpty()) {
            return;
        }
        this.mysqlDatabases = mysqlDatabases;
    }

    public void setMysqlUsers(List<Map<String, Object>> mysqlUsers) {
        if (null == mysqlUsers || mysqlUsers.isEmpty()) {
            return;
        }
        this.mysqlUsers = mysqlUsers;
    }

    public void setMysqlReplicationUser(Map<String, Object> mysqlReplicationUser) {
        if (null == mysqlReplicationUser || mysqlReplicationUser.isEmpty()) {
            return;
        }
        this.mysqlReplicationUser = mysqlReplicationUser;
    }

    public void setMntDisks(List<Map<String, Object>> mntDisks) {
        if (null == mntDisks || mntDisks.isEmpty()) {
            return;
        }
        this.mntDisks = mntDisks;
    }

}