package com.bocloud.tse.core.domain.front.software;

import java.util.Map;

import com.alibaba.fastjson.annotation.JSONField;
import com.bocloud.tse.core.domain.common.NginxConfig;
import com.bocloud.tse.core.domain.common.NginxHttpParam;
import com.bocloud.tse.core.domain.common.NginxSite;

import lombok.Data;

@Data
public class NginxFront {

    @JSONField(name = "cluster_install")
    private boolean clusterInstall = false;
    @JSONField(name = "nginx_http_params")
    private NginxHttpParam nginxHttpParam;
    @JSONField(name = "nginx_configs")
    private NginxConfig nginxConfig;
    @JSONField(name = "nginx_sites")
    private Map<String, NginxSite> nginxSites;

    public NginxFront() {}

    public void setNginxConfig(NginxConfig nginxConfig) {
        if (null != nginxConfig && nginxConfig.empty()) {
            return;
        }
        this.nginxConfig = nginxConfig;
    }

    public void setNginxSites(Map<String, NginxSite> nginxSites) {
        if (null != nginxSites && nginxSites.isEmpty()) {
            return;
        }
        this.nginxSites = nginxSites;
    }

}