package com.bocloud.tse.core.domain.front.software;

import java.util.List;
import java.util.Map;

import com.alibaba.fastjson.annotation.JSONField;
import com.bocloud.tse.core.domain.group.Group;

import lombok.Data;

@Data
public class PostgresqlFront {

    private String version;
    private List<Group> groups;
    @JSONField(name = "cluster_install")
    private boolean clusterInstall;
    @JSONField(name = "software_config")
    private Map<String, Object> softwareConfig;
    @JSONField(name = "postgresql_databases")
    private List<Map<String, Object>> postgresqlDatabases;
    @JSONField(name = "postgresql_users")
    private List<Map<String, Object>> postgresqlUsers;
    @JSONField(name = "postgresql_privileges")
    private List<Map<String, Object>> postgresqlPrivileges;
    @JSONField(name = "postgresql_schemas")
    private List<Map<String, Object>> postgresqlSchemas;
    @JSONField(name = "postgresql_extensions")
    private List<Map<String, Object>> postgresqlExtensions;
    @JSONField(name = "mnt_disks")
    private List<Map<String, Object>> mntDisks;
    @JSONField(name = "etcd_config")
    private Map<String, Object> etcdConfig;
    @JSONField(name = "cluster_config")
    private Map<String, Object> clusterConfig;

    public PostgresqlFront(String version, List<Group> groups, boolean clusterInstall,
        Map<String, Object> softwareConfig, List<Map<String, Object>> postgresqlDatabases,
        List<Map<String, Object>> postgresqlUsers, List<Map<String, Object>> postgresqlPrivileges,
        List<Map<String, Object>> postgresqlSchemas, List<Map<String, Object>> postgresqlExtensions,
        List<Map<String, Object>> mntDisks, Map<String, Object> etcdConfig, Map<String, Object> clusterConfig) {
        super();
        this.version = version;
        this.groups = groups;
        this.clusterInstall = clusterInstall;
        this.softwareConfig = softwareConfig;
        this.postgresqlDatabases = postgresqlDatabases;
        this.postgresqlUsers = postgresqlUsers;
        this.postgresqlPrivileges = postgresqlPrivileges;
        this.postgresqlSchemas = postgresqlSchemas;
        this.postgresqlExtensions = postgresqlExtensions;
        this.mntDisks = mntDisks;
        this.etcdConfig = etcdConfig;
        this.clusterConfig = clusterConfig;
    }

    public PostgresqlFront() {
        super();
    }

    public void setPostgresqlDatabases(List<Map<String, Object>> postgresqlDatabases) {
        if (null == postgresqlDatabases || postgresqlDatabases.isEmpty()) {
            return;
        }
        this.postgresqlDatabases = postgresqlDatabases;
    }

    public void setPostgresqlUsers(List<Map<String, Object>> postgresqlUsers) {
        if (null == postgresqlUsers || postgresqlUsers.isEmpty()) {
            return;
        }
        this.postgresqlUsers = postgresqlUsers;
    }

    public void setPostgresqlPrivileges(List<Map<String, Object>> postgresqlPrivileges) {
        if (null == postgresqlPrivileges || postgresqlPrivileges.isEmpty()) {
            return;
        }
        this.postgresqlPrivileges = postgresqlPrivileges;
    }

    public void setPostgresqlSchemas(List<Map<String, Object>> postgresqlSchemas) {
        if (null == postgresqlSchemas || postgresqlSchemas.isEmpty()) {
            return;
        }
        this.postgresqlSchemas = postgresqlSchemas;
    }

    public void setPostgresqlExtensions(List<Map<String, Object>> postgresqlExtensions) {
        if (null == postgresqlExtensions || postgresqlExtensions.isEmpty()) {
            return;
        }
        this.postgresqlExtensions = postgresqlExtensions;
    }

    public void setMntDisks(List<Map<String, Object>> mntDisks) {
        if (null == mntDisks || mntDisks.isEmpty()) {
            return;
        }
        this.mntDisks = mntDisks;
    }

    public void setEtcdConfig(Map<String, Object> etcdConfig) {
        if (null == etcdConfig || etcdConfig.isEmpty()) {
            return;
        }
        this.etcdConfig = etcdConfig;
    }

    public void setClusterConfig(Map<String, Object> clusterConfig) {
        if (null == clusterConfig || clusterConfig.isEmpty()) {
            return;
        }
        this.clusterConfig = clusterConfig;
    }

}