package com.bocloud.tse.core.domain.front.software;

import java.util.List;
import java.util.Map;

import com.alibaba.fastjson.annotation.JSONField;

import lombok.Data;

@Data
public class RabbitmqFront {

    private String version;
    @JSONField(name = "cluster_install")
    private boolean clusterInstall;
    @JSONField(name = "rabbitmq_users")
    private List<Map<String, Object>> rabbitmqUsers;
    @JSONField(name = "rabbitmq_vhosts")
    private List<Map<String, Object>> rabbitmqVhosts;
    @JSONField(name = "rabbitmq_plugins")
    private List<Map<String, Object>> rabbitmqPlugins;
    @JSONField(name = "mnt_disks")
    private List<Map<String, Object>> mntDisks;
    @JSONField(name = "rabbitmq_admin_user")
    private String rabbitmqAdminUser;
    @JSONField(name = "rabbitmq_admin_password")
    private String rabbitmqAdminPassword;

    public RabbitmqFront(String version, boolean clusterInstall, List<Map<String, Object>> rabbitmqUsers,
        List<Map<String, Object>> rabbitmqVhosts, List<Map<String, Object>> rabbitmqPlugins,
        List<Map<String, Object>> mntDisks, String rabbitmqAdminUser, String rabbitmqAdminPassword) {
        this.version = version;
        this.clusterInstall = clusterInstall;
        this.rabbitmqUsers = rabbitmqUsers;
        this.rabbitmqVhosts = rabbitmqVhosts;
        this.rabbitmqPlugins = rabbitmqPlugins;
        this.mntDisks = mntDisks;
        this.rabbitmqAdminUser = rabbitmqAdminUser;
        this.rabbitmqAdminPassword = rabbitmqAdminPassword;
    }

    public RabbitmqFront() {}

    public void setRabbitmqUsers(List<Map<String, Object>> rabbitmqUsers) {
        if (null == rabbitmqUsers || rabbitmqUsers.isEmpty()) {
            return;
        }
        this.rabbitmqUsers = rabbitmqUsers;
    }

    public void setRabbitmqVhosts(List<Map<String, Object>> rabbitmqVhosts) {
        if (null == rabbitmqVhosts || rabbitmqVhosts.isEmpty()) {
            return;
        }
        this.rabbitmqVhosts = rabbitmqVhosts;
    }

    public void setRabbitmqPlugins(List<Map<String, Object>> rabbitmqPlugins) {
        if (null == rabbitmqPlugins || rabbitmqPlugins.isEmpty()) {
            return;
        }
        this.rabbitmqPlugins = rabbitmqPlugins;
    }

    public void setMntDisks(List<Map<String, Object>> mntDisks) {
        if (null == mntDisks || mntDisks.isEmpty()) {
            return;
        }
        this.mntDisks = mntDisks;
    }

}