package com.bocloud.tse.core.domain.group;

import java.util.ArrayList;
import java.util.List;

import com.bocloud.tse.core.domain.front.software.RacIscsiFront;
import com.megatron.common.utils.ListTool;
import com.megatron.common.utils.MapTools;

public class IscsiGroup {

    private RacIscsiFront front;
    private List<Group> groups;

    public IscsiGroup(RacIscsiFront front) {
        this.front = front;
        this.groups = new ArrayList<>();
        this.build();
    }

    private void build() {
        List<Group> list = front.getGroups();
        if (ListTool.isEmpty(list)) {
            return;
        }
        for (Group group : list) {
            switch (group.getName()) {
                case "iscsi_client":
                    group.setVars(MapTools.simpleMap("iscsi_role", "client"));
                    break;
                case "iscsi_server":
                    group.setVars(MapTools.simpleMap("iscsi_role", "server"));
                    break;
                default:
                    continue;
            }
            this.groups.add(group);
        }
    }

    public List<Group> getGroups() {
        return groups;
    }

}