package com.bocloud.tse.core.domain.group;

import java.util.ArrayList;
import java.util.List;

import com.bocloud.tse.core.domain.input.software.MemcacheInput;
import com.bocloud.tse.model.WorkerHost;

public class MemcacheGroup {

    private List<Group> groups;

    public MemcacheGroup(MemcacheInput input) {
        if (input.getFronts().isClusterInstall()) {
            this.groups = input.getFronts().getGroups();
        } else {
            this.groups = new ArrayList<>();
            this.build(input);
        }
    }

    private void build(MemcacheInput input) {
        List<WorkerHost> hosts = input.getTarget().getData();
        List<GroupHost> list = new ArrayList<>();
        for (WorkerHost host : hosts) {
            list.add(new GroupHost(host.getHost(), null));
        }
        Group group = new Group("memcached_masters", list, null);
        this.groups.add(group);
    }

    public List<Group> getGroups() {
        return groups;
    }

}