package com.bocloud.tse.core.domain.group;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.bocloud.tse.core.domain.front.software.NfsFront;
import com.megatron.common.utils.ListTool;
import com.megatron.common.utils.MapTools;

public class NfsGroup {

    private NfsFront front;
    private List<Group> groups;

    public NfsGroup(NfsFront front) {
        this.front = front;
        this.groups = new ArrayList<>();
        this.build();
    }

    private void build() {
        List<Group> list = front.getGroups();
        if (ListTool.isEmpty(list)) {
            return;
        }
        for (Group group : list) {
            switch (group.getName()) {
                case "nfs_client":
                    group = buildGroup(group);
                    break;
                default:
                    continue;
            }
            this.groups.add(group);
        }
    }

    private Group buildGroup(Group group) {
        List<GroupHost> hosts = group.getHosts();
        for (GroupHost host : hosts) {
            JSONArray array = JSONArray.parseArray(JSONObject.toJSONString(front.getMountPointers()));
            Map<String, Object> vars = MapTools.simpleMap("mount_pointers", array);
            host.setVars(vars);
        }
        return new Group(group.getName(), hosts, group.getVars());
    }

    public List<Group> getGroups() {
        return groups;
    }

}