package com.bocloud.tse.core.domain.group;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import com.bocloud.tse.core.domain.front.software.RabbitmqFront;
import com.bocloud.tse.model.WorkerHost;
import com.megatron.common.utils.MapTools;

public class RabbitmqGroup {

    private RabbitmqFront front;
    private List<Group> groups;

    public RabbitmqGroup(RabbitmqFront front, List<WorkerHost> hosts) {
        this.front = front;
        this.groups = new ArrayList<>();
        this.build(hosts);
    }

    private void build(List<WorkerHost> hosts) {
        if (front.isClusterInstall()) {
            this.groups.add(buildGroup(hosts));
        }
    }

    private Group buildGroup(List<WorkerHost> hosts) {
        Group group = new Group();
        group.setName("rabbitmq_cluster");
        List<GroupHost> list = new ArrayList<>();
        int index = 1;
        for (WorkerHost host : hosts) {
            GroupHost groupHost = new GroupHost();
            groupHost.setHost(host.getHost());
            Map<String, Object> vars = MapTools.simpleMap("hostname", "rabbitmq_" + index);
            groupHost.setVars(vars);
            index++;
            list.add(groupHost);
        }
        group.setHosts(list);
        return group;
    }

    public List<Group> getGroups() {
        return groups;
    }

}