package com.bocloud.tse.core.domain.group;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.apache.commons.lang3.StringUtils;

import com.bocloud.tse.core.domain.front.software.ZookeeperFront;
import com.megatron.common.utils.ListTool;
import com.megatron.common.utils.MapTools;

public class ZookeeperGroup {

    private ZookeeperFront front;
    private List<Group> groups;

    public ZookeeperGroup(ZookeeperFront front) {
        this.front = front;
        this.groups = new ArrayList<>();
        this.build();
    }

    private void build() {
        List<Group> list = front.getGroups();
        if (ListTool.isEmpty(list)) {
            return;
        }
        for (Group group : list) {
            switch (group.getName()) {
                case "zookeeper":
                    group = buildZkGroup(group);
                    break;
                default:
                    break;
            }
            this.groups.add(group);
        }
    }

    private Group buildZkGroup(Group group) {
        List<GroupHost> hosts = group.getHosts();
        for (GroupHost host : hosts) {
            if (StringUtils.isEmpty(host.getReal())) {
                Map<String, Object> vars = MapTools.simpleMap("proxy_host", host.getHost());
                host.setVars(vars);
            } else {
                Map<String, Object> vars = MapTools.simpleMap("proxy_host", host.getReal());
                host.setVars(vars);
            }
        }
        return new Group(group.getName(), hosts, group.getVars());
    }

    public List<Group> getGroups() {
        return groups;
    }

}