package com.bocloud.tse.core.utils;

import com.megatron.common.model.GeneralResult;

public enum DBDriver {

    /**
     * Oracle数据库驱动
     */
    ORACLE("oracle.jdbc.OracleDriver"),
    /**
     * Mysql数据库驱动
     */
    MYSQL("com.mysql.jdbc.Driver"),
    /**
     * SQLServer数据库驱动
     */
    SQLSERVER_JTS("net.sourceforge.jtds.jdbc.Driver"),
    /**
     * SQLServer数据库驱动
     */
    SQLSERVER_MS("com.microsoft.sqlserver.jdbc.SQLServerDriver");

    private String driver;

    DBDriver(String driver) {
        this.driver = driver;
    }

    public String getDriver() {
        return driver;
    }

    public static GeneralResult<DBDriver> has(String driver) {
        for (DBDriver dbDriver : DBDriver.values()) {
            if (dbDriver.name().equalsIgnoreCase(driver)) {
                return new GeneralResult<DBDriver>(true, dbDriver, "success");
            }
        }
        return new GeneralResult<>(true, "not found!");
    }

}