package com.bocloud.tse.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 高危命令作业实例关系表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table("command_instance")
public class CommandInstance extends Generic {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("command_id")
    private Long commandId;
    @Column("instance_id")
    private Long instanceId;

    public CommandInstance(Long commandId, Long instanceId) {
        super();
        this.commandId = commandId;
        this.instanceId = instanceId;
    }

}
