package com.bocloud.tse.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 编排节点模型实体类
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table("task_node_module")
public class NodeModule extends GenericEntity {

    @PK(PKStrategy.AUTO)
    private Long id;// ID
    @Column("code")
    private String code;// 模型编号
    @Column("pre_constraints")
    private String preConstraints = "{\"rule\":\"free\"}";// 上游约束
    @Column("post_constraints")
    private String postConstraints = "{\"rule\":\"free\"}";// 下游约束
    @Column("icon")
    private String icon;// 图标类型
    @Column("group_id")
    private Long groupId; // 分组ID
    @Column("group_ids")
    private String groupIds; // 分组IDs
    @Column("internal")
    private Boolean internal = false;
    @Column("template")
    private String template;// 模型
    @Column("shape")
    private String shape = "{\"shape\":\"maintain-node\"}";
    @Column("requires")
    private String requires;
    @Column("params")
    private String params;
    @Column("module_type")
    private String moduleType;
    @Column("is_default_setting")
    private Boolean defaultSetting = false;
    @Column("output")
    private String output;
    @Column("execute_type")
    private String executeType;
    @Column("available")
    private Boolean available; // 租户端可用的
    @IgnoreAll
    private String creator;
    @IgnoreAll
    private String mender;

    public enum Type {
        SCRIPT, SCRIPTS
    }
}
