package com.bocloud.tse.entity;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.megatron.common.utils.DateSerializer;
import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreUpdate;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@Data
@EqualsAndHashCode(callSuper = true)
@AllArgsConstructor
@NoArgsConstructor
@Table("task_fail_record")
public class TaskFailRecord extends Generic {

    /**
     * 唯一标识
     */
    @PK(value = PKStrategy.AUTO)
    private Long id;

    /**
     * 任务实例id
     */
    @Column("instance_id")
    private Long instanceId;

    /**
     * 任务实例名称
     */
    @Column("instance_name")
    private String instanceName;

    /**
     * 任务节点id
     */
    @Column("node_id")
    private Long nodeId;

    /**
     * 任务节点名称
     */
    @Column("node_name")
    private String nodeName;

    /**
     * 目标主机ip
     */
    @Column("host")
    private String host;

    /**
     * 错误信息
     */
    @Column("message")
    private String message;

    /**
     * 创建时间
     */
    @IgnoreUpdate
    @Column("gmt_create")
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtCreate;

    /**
     * 更新时间
     */
    @Column("gmt_modify")
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtModify;

}
