package com.bocloud.tse.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 任务主机表
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AllArgsConstructor
@NoArgsConstructor
@Table("task_instance_host")
public class TaskInstanceHost extends Generic {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("host")
    private String host;
    @Column("instance_id")
    private Long instanceId;
    /**
     * 任务执行引擎
     */
    @Column("execute_host")
    private String executeHost;

    /**
     * 任务执行worker
     */
    @Column("execute_worker")
    private String executeWorker;

    @Column("node_id")
    private Long nodeId;

    @Column("node_name")
    private String nodeName;

}
