package com.bocloud.tse.enums;

/**
 * 状态枚举类
 */
public class Status {

    /**
     * 任务状态
     */
    public static enum Task {

    }

    /**
     * 任务实例状态
     */
    public static enum Inst {
        /**
         * 新创建
         */
        CREATED,
        /**
         * 等待中
         */
        WAITTING,
        /**
         * 运行中
         */
        RUNNING,
        /**
         * 已暂停
         */
        SUSPENDED,
        /**
         * 成功
         */
        SUCCESS,
        /**
         * 失败
         */
        FAILED,
        /**
         * 异常
         */
        EXCEPTION,
        /**
         * 取消中
         */
        CANCELING,
        /**
         * 已取消
         */
        CANCELED,
        /**
         * 申请中
         */
        APPROVING,
        /**
         * 已结束
         */
        END;
    }

    /**
     * 任务节点状态
     */
    public static enum Node {
        /**
         * 不可执行
         */
        NOREADY,
        /**
         * 可执行
         */
        READY,
        /**
         * 运行中
         */
        RUNNING,
        /**
         * 成功
         */
        SUCCESS,
        /**
         * 失败
         */
        FAILED,
        /**
         * 异常
         */
        EXCEPTION,
        /**
         * 已暂停
         */
        SUSPENDED,
        /**
         * 已跳过
         */
        SKIPPED,
        /**
         * 已取消
         */
        CANCELED;
    }

}
