package com.bocloud.tse.model;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

import lombok.Data;

@Data
public class Job {

    private String taskId;
    private Integer priority = 100;
    private Map<String, String> extParams;
    private int maxRetryTimes = 0;
    private String cronExpression;
    private int repeatCount = 0;
    private Long repeatInterval;
    private Long triggerTime;
    private boolean loop = true;
    private Date startTime;

    public String getParam(String key) {
        if (extParams == null) {
            return null;
        }
        return extParams.get(key);
    }

    public void setParam(String key, String value) {
        if (extParams == null) {
            extParams = new HashMap<String, String>();
        }
        extParams.put(key, value);
    }

    public boolean isCron() {
        return this.cronExpression != null && !"".equals(this.cronExpression.trim());
    }

    public boolean isRepeatable() {
        return (this.repeatInterval != null && this.repeatInterval > 0)
            && (this.repeatCount >= -1 && this.repeatCount != 0);
    }

    public void setTriggerDate(Date date) {
        if (date != null) {
            this.triggerTime = date.getTime();
        }
    }

}
