package com.bocloud.tse.model;

import com.bocloud.tse.entity.TaskNode;
import com.megatron.common.model.Result;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 任务结果
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class TaskResult extends Result {

    private JobResult jobResult;
    private String taskId;
    private TaskNode taskNode;

    public TaskResult(JobResult jobResult) {
        super();
        this.jobResult = jobResult;
    }

    public TaskResult() {
        super();
    }

    public TaskResult(boolean success, String message, JobResult jobResult) {
        super(success, message);
        this.jobResult = jobResult;
    }

    public TaskResult(boolean success, String message, String taskId) {
        super(success, message);
        this.taskId = taskId;
    }

    public TaskResult(boolean success, String message, JobResult jobResult, String taskId, TaskNode taskNode) {
        super(success, message);
        this.jobResult = jobResult;
        this.taskId = taskId;
        this.taskNode = taskNode;
    }

    public TaskResult(boolean success, String message, JobResult jobResult, String taskId) {
        super(success, message);
        this.jobResult = jobResult;
        this.taskId = taskId;
    }

}
