package com.bocloud.tse.scheduler.core;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.bocloud.tse.intf.TaskInstanceService;
import com.bocloud.tse.model.Job;
import com.bocloud.tse.scheduler.utils.JobFormatDetector;

/**
 * 任务调度器,
 */
@Component
public class JobChannel {

    @Autowired
    private TaskInstanceService instanceService;

    /**
     * 将单个任务添加到引擎中执行
     *
     * @param job
     * @return
     */
    public boolean insertTask(Job job) {
        if (!JobFormatDetector.isJob(job)) {
            return false;
        }
        return instanceService.putJob(job).isSuccess();
    }

}
