package com.bocloud.tse.scheduler.listener;

import com.bocloud.tse.enums.TaskParam;
import com.bocloud.tse.model.TaskResult;

/**
 * 任务监听器，在编排任务或者任务节点完成之后调用相关的逻辑
 */
public interface TaskListener {
    /**
     * 任务类型
     */
    public static final String TYPE = TaskParam.TASKTYPE.name();
    /**
     * 任务数据
     */
    public static final String DATA = TaskParam.TASKDATA.name();
    /**
     * 上级任务
     */
    public static final String PJOB = TaskParam.TASKPJOB.name();
    /**
     * 实例ID，可以是TaskInstance的ID也可以是TaskNode的ID
     */
    public static final String INST = TaskParam.INSTANCEID.name();
    /**
     * 任务编码
     */
    public static final String CODE = TaskParam.TASKCODE.name();
    /**
     * 任务时间
     */
    public static final String TIME = TaskParam.TIMEOUT.name();
    /**
     * 任务编码
     */
    public static final String MODULETYPE = TaskParam.MODULETYPE.name();

    /**
     * 任务实例
     */
    public static final String INSTANCE = TaskParam.INSTANCE.name();

    /**
     * 在编排任务或者任务节点完成之后调用相关的逻辑
     * 
     * @param taskResult
     */
    public void onCompleted(TaskResult taskResult);
}
