package com.bocloud.tse.scheduler.selector;

import java.util.List;

import com.megatron.common.model.GeneralResult;

/**
 * 节点选择接口
 */
public interface NodeSelector<T> {

    /**
     * 选择可执行开始节点列表
     */
    public GeneralResult<List<T>> selectFirst();

    /**
     * 选择可执行任务节点列表
     */
    public GeneralResult<List<T>> selectNext();

    /**
     * 选择结束节点
     */
    public GeneralResult<List<T>> selectLast();

}
