package com.bocloud.tse.scheduler.utils;

import java.util.List;

import org.apache.commons.lang3.StringUtils;

import com.bocloud.tse.enums.TaskParam;
import com.bocloud.tse.model.Job;

public class JobFormatDetector {

    /**
     * Job 基本数据格式校验，必须要求taskId,taskType和taskData不能为空，否则不能加入到任务调度中去
     */
    public static boolean isJob(Job job) {
        if (null == job) {
            return false;
        }
        if (StringUtils.isEmpty(job.getTaskId()) || StringUtils.isEmpty(job.getParam(TaskParam.TASKTYPE.name()))
            || StringUtils.isEmpty(job.getParam(TaskParam.TASKDATA.name()))) {
            return false;
        }
        return true;
    }

    /**
     * Job 基本数据格式校验，必须要求taskId,taskType和taskData不能为空，否则不能加入到任务调度中去
     */
    public static boolean isJobs(List<Job> jobs) {
        if (null == jobs || jobs.isEmpty()) {
            return false;
        }
        for (Job job : jobs) {
            if (isJob(job)) {
                continue;
            }
            return false;
        }
        return true;
    }

}
