package com.bocloud.tse.scheduler.utils;

import java.util.List;

import com.alibaba.fastjson.JSONObject;
import com.megatron.common.model.GeneralResult;

import lombok.extern.slf4j.Slf4j;

@Slf4j
public class JsonParseUtils {

    public static GeneralResult<JSONObject> parse(String content) {
        try {
            JSONObject object = JSONObject.parseObject(content, JSONObject.class);
            return new GeneralResult<>(true, object, "success");
        } catch (Exception e) {
            log.error("Json解析异常： {}", e);
            return new GeneralResult<>(false, e.getLocalizedMessage());
        }
    }

    public static GeneralResult<List<JSONObject>> parseArray(String content) {
        try {
            List<JSONObject> list = JSONObject.parseArray(content, JSONObject.class);
            return new GeneralResult<>(true, list, "success");
        } catch (Exception e) {
            log.error("Json array解析异常： {}", e);
            return new GeneralResult<>(false, e.getLocalizedMessage());
        }
    }

}
