package com.bocloud.tse.scheduler.utils;

import org.springframework.amqp.AmqpException;
import org.springframework.amqp.core.AmqpTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.bocloud.cmp.boot.model.BoCloudExchange;
import com.megatron.common.model.Result;

import lombok.extern.slf4j.Slf4j;

/**
 * 作业执行结果分发器，用来将异步作业的结果发送到RabbitMQ里面去。
 */
@Slf4j
@Component("taskProgressPublisher")
public class TaskProgressPublisher {

    @Autowired
    private AmqpTemplate amqpTemplate;
    private static String EXCHANGE = BoCloudExchange.Default.TOPIC.getExchange();
    private static String ROUITING = "bocloud.message.queue.#";

    /**
     * 发送作业执行进度消息
     */
    public Result publish(Object message) {
        try {
            this.amqpTemplate.convertAndSend(EXCHANGE, ROUITING, message);
            return new Result(true, "success");
        } catch (AmqpException e) {
            log.error("Send Task Result Error{}", e);
            return new Result(false, "发送失败！");
        }
    }

}
