package com.bocloud.tse.scheduler.worker.listener;

import com.bocloud.tse.enums.TaskParam;
import com.bocloud.tse.model.Job;
import com.bocloud.tse.model.JobResult;
import com.bocloud.tse.scheduler.listener.JobCompletedListener;

public class JobTask implements Runnable {

    private MaintainTaskListener maintainTaskListener;
    private SoftwareTaskListener softwareTaskListener;
    private ScheduledTaskListener scheduledTaskListener;
    private JobCompletedListener jobCompletedListener;
    private Job job;

    @Override
    public void run() {
        JobResult result = null;
        String type = job.getParam(TaskParam.TASKTYPE.name());
        if ("maintain".equalsIgnoreCase(type)) {
            result = maintainTaskListener.onTask(job);
        } else if ("software".equalsIgnoreCase(type)) {
            result = softwareTaskListener.onTask(job);
        } else if ("scheduled".equalsIgnoreCase(type)) {
            result = scheduledTaskListener.onTask(job);
        }
        //处理任务返回结果
        if (!"scheduled".equalsIgnoreCase(type)) {
            jobCompletedListener.onComplete(result);
        }
    }

    public JobTask(MaintainTaskListener maintainTaskListener, SoftwareTaskListener softwareTaskListener,
        ScheduledTaskListener scheduledTaskListener, JobCompletedListener jobCompletedListener, Job job) {
        this.maintainTaskListener = maintainTaskListener;
        this.softwareTaskListener = softwareTaskListener;
        this.scheduledTaskListener = scheduledTaskListener;
        this.jobCompletedListener = jobCompletedListener;
        this.job = job;
    }

}
