package com.bocloud.tse.scheduler.worker.listener;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.bocloud.tse.enums.Catalog;
import com.bocloud.tse.model.Job;
import com.bocloud.tse.model.JobResult;
import com.bocloud.tse.scheduler.core.JobChannel;
import com.megatron.common.model.GeneralResult;

import lombok.extern.slf4j.Slf4j;

/**
 * 定时类任务监听器
 */
@Slf4j
@Component
public class ScheduledTaskListener extends AbstractTaskListener {

    @Autowired
    private JobChannel channel;

    @Override
    public JobResult onTask(Job job) {
        String moduleType = job.getParam(MODULETYPE);
        String name = job.getParam(NAME);
        log.info("receive a scheduled task! name is {},moduleType name is: {}", name, moduleType);
        job.setPriority(1);
        job.setMaxRetryTimes(0);
        job.setParam(PJOB, job.getTaskId());
        job.setParam(TYPE, Catalog.Task.STANDARD.getValue());
        boolean success = channel.insertTask(job);
        log.info("put job into task instance job cache : [{}]", success);
        return buildResult(new GeneralResult<>(true, "success"), job);
    }

}