package com.bocloud.tse.scheduler.worker.listener;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.tse.scheduler.core.DataCache;
import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.core.Message;
import org.springframework.amqp.core.MessageListener;
import org.springframework.stereotype.Repository;

import java.nio.charset.StandardCharsets;

/**
 * 常规任务结果返回监听器 队列： task.result.queue.{ip}_{port}
 */
@Slf4j
@Repository("taskResultListener")
public class TaskResultListener implements MessageListener {

    @Override
    public void onMessage(Message message) {
        String content = new String(message.getBody(), StandardCharsets.UTF_8);
        log.info("从[固定队列]获取任务执行结果：{}", content);
        try {
            JSONObject object = JSONObject.parseObject(content, JSONObject.class);
            if (null != object) {
                DataCache.put(object.getString("batch_no"), content, 3 * 60 * 1000);
            }
        } catch (Exception e) {
            log.error("Task result message convert error:", e);
        }
    }

}
