package com.bocloud.tse.intf;

import java.util.List;

import com.bocloud.tse.entity.TaskInstance;
import com.bocloud.tse.enums.Status.Inst;
import com.bocloud.tse.model.Job;
import com.megatron.common.model.GeneralResult;

/**
 * 任务记录Service接口
 */
public interface TaskInstanceService {

    /**
     * 更新任务记录
     */
    public GeneralResult<Void> modify(TaskInstance instance);

    public GeneralResult<Void> updateStatus(Long id, String status, Long userId);

    /**
     * 根据执行机器获取任务实例
     */
    public GeneralResult<List<TaskInstance>> listByExecHost(Inst status, String executeHost);

    /**
     * 获取异常任务实例
     * 
     * @param executeHost
     *            执行机器
     * @param excludeHost
     *            需要排除机器
     * @return
     */
    public GeneralResult<List<TaskInstance>> listExceptionInstance(String executeHost, String excludeHost);

    public List<TaskInstance> list(Long taskId);

    public GeneralResult<?> putJob(Job job);

    public List<Job> getJobs();

    public List<Job> getAllJobs();

    /**
     * 作业实例错误结果分析
     *
     * @param instanceId
     *            实例id
     */
    public void analysis(Long instanceId);

}
