package com.bocloud.tse.intf;

import java.util.List;

import com.bocloud.tse.entity.TaskNode;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Result;

/**
 * 任务记录Service接口
 */
public interface TaskNodeService {

    public GeneralResult<Void> modify(TaskNode node);

    /**
     * 通过ID得到任务节点
     */
    public TaskNode get(Long id);

    /**
     * 得到准备执行的任务节点
     */
    public List<TaskNode> getReadyNodes(Long instanceId);

    /**
     * 得到准备执行的游离任务节点
     */
    public List<TaskNode> getFreeNodes(Long instanceId);

    /**
     * 更新节点关系状态
     */
    public Result updateRelation(Long instanceId, Long source, String status);

    /**
     * 得到没有执行任务节点
     */
    public List<TaskNode> getUndoneNodes(Long instanceId);

    /**
     * 得到实例任务节点
     * 
     * @param instanceId
     * @return
     */
    public List<TaskNode> getNodes(Long instanceId);

    /**
     * 节点执行完后，是否能得到任务最后的执行节点
     */
    public List<TaskNode> getLastNodes(Long instanceId);

    /**
     * 是否存在准备中的节点
     */
    public Boolean hasReady(Long instanceId);

    /**
     * 修改节点状态
     */
    public Result updateStatus(Long id, String status, Long userId);

}
