package com.bocloud.tse.repository;

import com.bocloud.tse.entity.CommandInstance;
import com.megatron.common.utils.MapTools;
import com.megatron.database.core.intf.impl.BasicGenericDao;
import com.megatron.framework.core.CurrentService;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * 命令-任务实例DAO接口实现
 */
@Repository("commandInstanceRepository")
public class CommandInstanceRepository extends BasicGenericDao<CommandInstance, Long> {

    public CommandInstanceRepository(JdbcTemplate jdbcTemplate, NamedParameterJdbcTemplate npJdbcTemplate, CurrentService service) {
        super(jdbcTemplate, npJdbcTemplate, service);
    }

    public List<CommandInstance> list(Long commandId) {
        String sql = "select * from command_instance where command_id = :commandId";
        Map<String, Object> params = MapTools.simpleMap("commandId", commandId);
        return this.list(CommandInstance.class, sql, params);
    }

}
