package com.bocloud.tse.repository;

import com.bocloud.tse.entity.Identification;
import com.megatron.common.utils.Common;
import com.megatron.common.utils.MapTools;
import com.megatron.database.core.intf.impl.BasicGenericDao;
import com.megatron.framework.core.CurrentService;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * 认证DAO接口实现
 */
@Repository("identificationRepository")
public class IdentificationRepository extends BasicGenericDao<Identification, Long> {

    public IdentificationRepository(JdbcTemplate jdbcTemplate, NamedParameterJdbcTemplate npJdbcTemplate, CurrentService service) {
        super(jdbcTemplate, npJdbcTemplate, service);
    }

    public Identification query(Long id) {
        String sql = "select * from identification where id = :id";
        Map<String, Object> params = MapTools.simpleMap(Common.ID, id);
        List<Identification> list = this.list(Identification.class, sql, params);
        return list.isEmpty() ? null : list.get(0);
    }

}
