package com.bocloud.tse.repository;

import com.bocloud.tse.entity.NodeModule;
import com.megatron.common.utils.MapTools;
import com.megatron.database.core.intf.impl.JdbcGenericDao;
import com.megatron.framework.core.CurrentService;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * 编排节点模型DAO实现
 */
@Repository("nodeModuleRepository")
public class NodeModuleRepository extends JdbcGenericDao<NodeModule, Long> {

    public NodeModuleRepository(JdbcTemplate jdbcTemplate, NamedParameterJdbcTemplate npJdbcTemplate, CurrentService service) {
        super(jdbcTemplate, npJdbcTemplate, service);
    }

    public List<NodeModule> list() {
        String sql = "select a.* from task_node_module a where a.is_deleted = 0";
        return this.list(NodeModule.class, sql);
    }

    public NodeModule query(Long id) {
        String sql = "select * from task_node_module a where a.is_deleted = 0 and a.id = :id";
        Map<String, Object> paramMap = MapTools.simpleMap("id", id);
        List<NodeModule> list = this.list(NodeModule.class, sql, paramMap);
        return list.isEmpty() ? null : list.get(0);
    }

    public NodeModule getByCode(String moduleCode) {
        String sql = "select * from task_node_module where code = :moduleCode";
        Map<String, Object> paramMap = MapTools.simpleMap("moduleCode", moduleCode);
        List<NodeModule> list = this.list(NodeModule.class, sql, paramMap);
        return list.isEmpty() ? null : list.get(0);
    }

}
