package com.bocloud.tse.repository;

import com.bocloud.tse.entity.TaskHost;
import com.megatron.common.utils.Common;
import com.megatron.common.utils.MapTools;
import com.megatron.database.core.intf.impl.BasicGenericDao;
import com.megatron.framework.core.CurrentService;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 任务主机DAO接口实现
 */
@Repository("taskHostRepository")
public class TaskHostRepository extends BasicGenericDao<TaskHost, Long> {

    public TaskHostRepository(JdbcTemplate jdbcTemplate, NamedParameterJdbcTemplate npJdbcTemplate, CurrentService service) {
        super(jdbcTemplate, npJdbcTemplate, service);
    }

    public TaskHost query(Long id) {
        String sql = "select a.*,b.name segment_name from task_host a "
            + " left join network_segment b on b.is_deleted = 0 and a.segment_id = b.id "
            + " where a.is_deleted = 0 and a.id =:id ";
        List<TaskHost> list = this.list(TaskHost.class, sql, MapTools.simpleMap(Common.ID, id));
        return list.isEmpty() ? null : list.get(0);
    }
}
