package com.bocloud.tse.repository;

import com.bocloud.tse.entity.TaskInstanceHost;
import com.megatron.common.utils.MapTools;
import com.megatron.database.core.intf.impl.BasicGenericDao;
import com.megatron.framework.core.CurrentService;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.stereotype.Repository;

import java.util.Map;

/**
 * 任务实例主机DAO接口实现
 */
@Repository("taskInstanceHostRepository")
public class TaskInstanceHostRepository extends BasicGenericDao<TaskInstanceHost, Long> {

    public TaskInstanceHostRepository(JdbcTemplate jdbcTemplate, NamedParameterJdbcTemplate npJdbcTemplate, CurrentService service) {
        super(jdbcTemplate, npJdbcTemplate, service);
    }


    public boolean updateByInstanceIds(Long instanceId, String host, String executeHost, String executeWorker,
        Long nodeId) throws Exception {
        String sql =
            "update task_instance_host set execute_host = :executeHost, execute_worker = :executeWorker where instance_id = :instanceId and host = :host and node_id = :nodeId ";
        Map<String, Object> params = MapTools.simpleMap("instanceId", instanceId);
        params.put("host", host);
        params.put("executeHost", executeHost);
        params.put("executeWorker", executeWorker);
        params.put("nodeId", nodeId);
        return this.execute(sql, params) > 0;
    }

}
